Author Topic: software updater tells me to update latest version software for Flash Player!  (Read 3510 times)

0 Members and 1 Guest are viewing this topic.

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
software updater tells me to update latest version software for Flash Player, but i have installed many times (version 12. 0.0.43). The updater will not reset.

Any help would be appreciated

Offline thekochs

  • Speak Your Mind, Who minds don't matter, Who matters won't mind
  • Advanced Poster
  • **
  • Posts: 1115
  • Hapkido Blackbelt
software updater tells me to update latest version software for Flash Player, but i have installed many times (version 12. 0.0.43). The updater will not reset.

Any help would be appreciated

This happens, be patient, will reset correctly.....several other threads on this.
It has more to do with how the "software" packages list their versions and how Avast interprets.
OpenDNS + Avast Free + MBAM Premium + MBAE Free Anti-Exploit + CryptoPrevent + Windows Firewall
Avast FAQ Videos
Avast 2016 Videos
Avast Clean Un/Re-Install How-To

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
Been like it for days, how long should i wait?

Offline DavidR

  • Avast √úberevangelist
  • Certainly Bot
  • *****
  • Posts: 83341
  • No support PMs thanks
It was resolved by VPS update 140117-1 - what is your avast virus definitions version ?
If it it not 140117-1 or later, then try a manual update of the virus definitions and Refresh the software updater.

What avast version are you using, 9.0.2011 is the latest regular release version ?
WinXP ProSP3/ Core2Duo E8300/ 4GB Ram/ avast! free 18.5.2342/ Firefox ESR, uBlock Origin, uMatrix/ MailWasher Pro7.11.0/ DropMyRights/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security
Windows 10 Home 1909 64bit/ Acer Aspire F15/ Intel Core i5 7200U 2.5GHz, 8GB DDR4 memory, 256GB SSD, 1TB HDD/ avast! free 20.5.2415 (build 20.5.5410.561) UI-1.0.532/ WinPatrol+/ Firefox, uBlock Origin, uMatrix/ MailWasher Pro

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
Thanks for reply,

All up to date, see attached image.

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
The Avast updater is stating new version 12. 0.0.38 - But I have a newer version installed 12. 0.0.43.

 Hope this helps finding a solution.

Offline chris..

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 2192
hello,

Did you tried to reset software updater database ?

Avast UI -> settings -> tools -> software updater -> custom -> reset database

now what about flash Player version ?

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
Thanks Chris

Still says update required and set at 12. 0.0.38 version

Offline DavidR

  • Avast √úberevangelist
  • Certainly Bot
  • *****
  • Posts: 83341
  • No support PMs thanks
The Avast updater is stating new version 12. 0.0.38 - But I have a newer version installed 12. 0.0.43.

 Hope this helps finding a solution.

There are two updates relating to flash player, one for IE activeX one and one for plugin based browsers such as firefox.

One of those is 12.0.0.38 and the other is 12.0.0.43, you need both versions of flash player unless you only use IE.

A screenshot of the same area I posted might help us better understand the issue.
WinXP ProSP3/ Core2Duo E8300/ 4GB Ram/ avast! free 18.5.2342/ Firefox ESR, uBlock Origin, uMatrix/ MailWasher Pro7.11.0/ DropMyRights/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security
Windows 10 Home 1909 64bit/ Acer Aspire F15/ Intel Core i5 7200U 2.5GHz, 8GB DDR4 memory, 256GB SSD, 1TB HDD/ avast! free 20.5.2415 (build 20.5.5410.561) UI-1.0.532/ WinPatrol+/ Firefox, uBlock Origin, uMatrix/ MailWasher Pro

Offline chatz

  • Jr. Member
  • **
  • Posts: 20
Thanks DavidR

I saw that on the Adobe test page, I normally only use firefox (12. 0.0.43). I have updated via the Avast update button many times with no luck. I assume the update includes all components for the player, including Active X for IE. It might be Adobe?

I have attached image below.

Offline chris..

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 2192
I assume the update includes all components for the player, including Active X for IE.

The flash Player update for FF doesn't include Active X for IE!!!

You have to do 2 updates :
one with FF and an other with IE (or choose IE browser with the adobe download center)

However I preferred when SU says the current version and not only what version should be.

What about your current Active X version for IE from Adobe UI?

Start->setting-> control panel -> Flash Player




Offline chatz

  • Jr. Member
  • **
  • Posts: 20
Thanks chris.

Sorted, as you say they are 2 separate downloads, I will just tell Avast updater to ignore the player active x and let Adobe updater automatically update for me.

Thanks for all your help

Edit: Might be a good idea to add Firefox or IE to the label of the Avast updater? This would aid choosing on the Adobe page provided by Avast.

How is this handled when automatic updates are enabled?
« Last Edit: January 20, 2014, 07:53:53 PM by chatz »